Bug 867464 - rpm uploads page issues
rpm uploads page issues
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: user-experience (Show other bugs)
2.0.6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: Sprint 42
Assigned To: Sayli Karmarkar
Preethi Thomas
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-17 10:53 EDT by Preethi Thomas
Modified: 2015-03-22 21:11 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-09 12:08:08 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Preethi Thomas 2012-10-17 10:53:07 EDT
Description of problem:

The uploads page needs to updated

Create a category using rpm uploads category see the output

[root@pulp-master ~]# pulp-admin rpm repo uploads category --repo-id pulp --category-id pulp --name pulp --description pulp  
+----------------------------------------------------------------------+
                          Puppet Module Upload
+----------------------------------------------------------------------+

Extracting necessary metdata for each request...
... completed

Creating upload requests on the server...
[==================================================] 100%
Initializing upload
... completed

Starting upload of selected packages. If this process is stopped through ctrl+c,
the uploads will be paused and may be resumed later using the resume command or
cancelled entirely using the cancel command.

Importing into the repository...
... completed

Deleting the upload request...
... completed


issues

1. It says  Puppet Module Upload

2. typo on metadata

3. Even though I am creating a category, the output is for package upload -see Starting upload of selected packages

Version-Release number of selected component (if applicable):

[root@pulp-master ~]# rpm -q pulp-rpm-server
pulp-rpm-server-0.0.331-1.fc17.noarch
[root@pulp-master ~]# 

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jay Dobies 2012-12-07 09:06:46 EST
Fixed in the 0.12 beta.
Comment 2 Preethi Thomas 2012-12-10 16:23:44 EST
verified
[root@preethi-el6-pulp ~]# rpm -qa|grep 
pulp-server-2.0.6-0.14.beta.noarch


[root@preethi-el6-pulp ~]# 


[root@preethi-el6-pulp ~]# pulp-admin rpm repo uploads category --repo-id pulp --category-id pulp --name pulp --description pulp  
+----------------------------------------------------------------------+
                              Unit Upload
+----------------------------------------------------------------------+

Extracting necessary metadata for each request...
... completed

Creating upload requests on the server...
[==================================================] 100%
Initializing upload
... completed

Starting upload of selected units. If this process is stopped through ctrl+c,
the uploads will be paused and may be resumed later using the resume command or
cancelled entirely using the cancel command.

Importing into the repository...
... completed

Deleting the upload request...
... completed

[root@preethi-el6-pulp ~]#
Comment 3 Preethi Thomas 2013-01-09 12:08:08 EST
Pulp v2.0 released

Note You need to log in before you can comment on or make changes to this bug.